Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.v3.framework.parser
Class HL7V3TransmissionWrapperContext

    java.lang.Object
      com.stc.connector.hl7.v3.framework.parser.HL7V3TransmissionWrapperContext

    public class HL7V3TransmissionWrapperContext

extends java.lang.Object

A context class which holds information needed by a sending application or message handling service to package and route the V3 Composite Message to the designated receiving application(s) and/or message handling service(s)

Version:
  cvs revision: $Revision: 1.1 $ Last Modified: $Date: 2007/12/14 10:20:11 $
Author:
  Nageswara Samudrala

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7V3TransmissionWrapperContext()` Default constructor.

Method Summary
`java.lang.String` | `getCreationTime()` Gets the message creation time
`java.lang.String` | `getId()` Gets the unique identifier of the HL7 message
`java.lang.String` | `getInteractionId()` Returns the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.
`java.lang.String` | `getProcessingCode()` Returns the processingCode This attribute defines whether the message is part of a production, training, or debugging system.
`java.lang.String` | `getVersionCode()` Returns the versionCode This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly
`void` | `setCreationTime(java.lang.String creationTime)` Sets the message creation time
`void` | `setId(java.lang.String id)` Sets the unique identifier of the HL7 message
`void` | `setInteractionId(java.lang.String interactionId)` Sets the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.
`void` | `setProcessingCode(java.lang.String processingCode)` Sets the processingCode This attribute defines whether the message is part of a production, training, or debugging system.
`void` | `setVersionCode(java.lang.String versionCode)` Set the versionCode This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7V3TransmissionWrapperContext

    public HL7V3TransmissionWrapperContext()

  Default constructor.

Method Detail

### setId

    public void setId(java.lang.String id)

  Sets the unique identifier of the HL7 message

  Parameters:
    `id` -

### getId

    public java.lang.String getId()

  Gets the unique identifier of the HL7 message

  Parameters:
    `id` -

### setCreationTime

    public void setCreationTime(java.lang.String creationTime)

  Sets the message creation time

  Parameters:
    `creationTime` -

### getCreationTime

    public java.lang.String getCreationTime()

  Gets the message creation time

  Returns:

### setInteractionId

    public void setInteractionId(java.lang.String interactionId)

  Sets the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.

  Parameters:
    `interactionID` - The interactionID to set

### getInteractionId

    public java.lang.String getInteractionId()

  Returns the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.

  Returns:
    String

### setProcessingCode

    public void setProcessingCode(java.lang.String processingCode)

  Sets the processingCode This attribute defines whether the message is part of a production, training, or debugging system.

  Parameters:
    `processingCode` - The processingCode to set

### getProcessingCode

    public java.lang.String getProcessingCode()

  Returns the processingCode This attribute defines whether the message is part of a production, training, or debugging system.

  Returns:
    String

### setVersionCode

    public void setVersionCode(java.lang.String versionCode)

  Set the versionCode This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

  Parameters:
    `versionCode` - The versionID to set

### getVersionCode

    public java.lang.String getVersionCode()

  Returns the versionCode This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD